netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
usockfd.c File Reference
`#include <arpa/inet.h>`
`#include <errno.h>`
`#include <netdb.h>`
`#include <netinet/in.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <sys/select.h>`
`#include <sys/socket.h>`
`#include <sys/time.h>`
`#include <sys/types.h>`
`#include <sys/un.h>`
`#include <unistd.h>`
`#include <atalk/logger.h>`
`#include <atalk/compat.h>`
`#include "usockfd.h"`

## Functions
int | tsockfd_create (char *host, char *port, int backlog)
int | usockfd_check (int sockfd, const sigset_t *sigset)

## Function Documentation

## ◆ tsockfd_create()

int tsockfd_create | ( | char * | host,
|  | char * | port,
|  | int | backlog )

create a tcp socket

## ◆ usockfd_check()

int usockfd_check | ( | int | sockfd,
|  | const sigset_t * | sigset )